Bug 196862 - Make 8250_pci as a kernel module
Make 8250_pci as a kernel module
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-27 08:45 EDT by Boris Mironov
Modified: 2012-06-20 11:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 11:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Boris Mironov 2006-06-27 08:45:19 EDT
Description of problem:
It is not a bug. It is enhancement request. Our vendor (Multitech) requires to 
recompile kernel in order to make 8250_pci as a module. We have to do it just 
to use fax boards. Could this change be incorporated into streamline release 
because any kernel recompilation voids support from other vendors.

Version-Release number of selected component (if applicable):
RHEL 4.3

How reproducible:

Steps to Reproduce:
Actual results:
It is built-in kernel module

Expected results:
Required to be loadable kernel module

Additional info:
here is the link about Multitech driver:
Comment 1 Brian Maly 2006-08-16 15:40:57 EDT
Just to clarify here, your asking to change the config from
"CONFIG_SERIAL_8250=y" to "CONFIG_SERIAL_8250=m"?
Comment 2 Boris Mironov 2006-08-16 15:44:42 EDT
Yes, this is what MultiTech is asking to do

Comment 3 Brian Maly 2006-08-16 16:41:46 EDT
Just to clarify a bit further.... The reason for this request is to be able to
compile a seperate module for the 8250 serial so as to be able to use it with
the supported kernel? I.e the expectation is to be able to "make modules ; make
modules_install" and not have to re-compile the entire kernel (which would then
be an unspported kernel)?
Comment 4 Boris Mironov 2006-08-17 08:25:05 EDT
Yes. As per documentation from MultiTech:

"...Observations / Known Issues:
- In Case of Red Hat Distributions, Kernel version 2.6.8 and above has the 
8250_pci driver built into the Kernel and therefore the MultiTech ISIUPCI 
driver will fail to load.  The Kernel has to be re-compiled with the option 
set to 8250_pci being loaded as a module.

Procedure for Kernel Re-compilation: 
- Change the working directory to /usr/src/linux-xxxx.
- Execute "make mrproper"
- Execute "make menuconfig" or "make xconfig"
- Follow the link device drivers-> character devices-> Serial drivers -> 
----Make "8250/16550 and compatible serial support" as module (M instead of * 
must be seen on the square bracket)
----Disable "Extended 8250/16550 serial driver options"
Save Configuration.
- Execute "make modules"
- Execute "make modules_install"
- Execute "make install"

The above process could take some time (possibly upto an hour) Reboot the 
system with the newly compiled Kernel and you should be able to install the 
mtsi_upci driver to support ISIxxxx_UPCI cards."

If 8250 would be a kernel module then it will be much simpler to administer 
the system when Red Hat releases new kernel - just up2date and run MultiTech 
script to compile new module = quick and easy.

Hope this answers your question,
Comment 8 Brian Maly 2006-09-20 13:26:51 EDT
This change (to build 8250_pci as a module) was reviewed by engineering but
rejected because it may cause reverts and other suprises for other customers
that assume its built in

A more favored approach would be to sort this out upstream (i.e. if PCI idents
need to be added). If the hardware isnt detected try using 'setserial' to
resolve address conflicts as mentioned in Comment #10.
Comment 11 Jiri Pallich 2012-06-20 11:54:02 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.